50 Best Experimental games

Updated:

The best 50 Experimental games daily generated by our specialised A.I. comparing over 40 000 video games across all platforms for Android, IOS (iPhone / iPad), PS4 (Playstation 4), Xbox One, Switch, PC Windows, Mac OS, Linux and 3DS. The order in this selection is not absolute, but the best games tends to be up in the list.

The latest addition in this selection are PogoChamp released the 12 April 2021 and ranked #27, Inkslinger released the 8 April 2021 and ranked #40, In My Shadow released the 8 April 2021 and ranked #41.

1# Tasty Planet Forever - 2018

Review90Score

Eat rats, baguettes, people, cars, trees, buildings, and more!. For an extra challenge, play through the worlds again using the eight bonus characters: metal cat, moray eel, elephant, ladybug, killer whale, baby, chicken, and black hole.

Tags for Tasty Planet Forever:

6# Medulla - 2020

ReviewNDScore

Medulla is a puzzle-platformer adventure game set in a dream-like scenery. A young character travels through the places and environments where various strange obstacles and seemingly illogical puzzles appear. Various beautifully hand-crafted landscapes create confusing and mysterious aura.

Tags for Medulla:

9# Disillusion - 2021

ReviewNDScore

Early Access

An odd tower filled with odd characters in lands you don't remember ever existed. almost like it's a dream? A first-person dungeon crawling RPG with an emphasis on interacting with the characters around you. Heavily inspired by other games such as LSD dream emulator, eastern mind lost souls, amongst others.

Tags for Disillusion:

12# Snowball Fight - 2021

ReviewNDScore
Screenshot of the video game Snowball Fight
Screenshot of the video game Snowball Fight
Screenshot of the video game Snowball Fight

選完哲學家皇帝沒多久的矮額,一覺醒來就發現自己被綁到了一望無際的雪地上,在打倒...不重要的8+9雪人後,被雪仗神告知了「因為我想打雪仗,所以你們來陪我打雪仗」這件也太隨便了吧的事?只有打倒雪仗神才能從這裡出去。

Tags for Snowball Fight:

13# BE-A Walker - 2020

ReviewNDScore

Take control of a huge mech on an alien planet! Shoot and trample the natives, avenge your brother, or forgive his killers? Join the rebels to restore peace on the exotic planet of Eldorado.

Tags for BE-A Walker:

14# Pony Island - 2016

Review86Score

No internet connection required * DESIGN beautiful accessories and castles * MEET cute ponies and their animal friends * DISCOVER beautiful and cute ponies of all sizes and shapes * 2 FREE mini games to enjoy! Make your visitors happy - show them your beautiful ponies and decorated fairytale castle. Populate it with ponies and their friends, and meet all kinds of cute animals that live in the sky kingdom.

Tags for Pony Island:

16# Bayonetta and Vanquish 10th Anniversary Bundle - 2020

ReviewNDScore

Commemorate the 10th anniversary of PlatinumGames two most celebrated titles with the Bayonetta & Vanquish remastered dual-pack. Take advantage of Bayonettas arsenal of skills to hack, slash, and open fire upon hordes of celestial foes. Online features require an account and are subject to terms of service and applicable privacy policy (playstationnetwork.com/terms-of-service & playstationnetwork.com/privacy-policy).

Tags for Bayonetta and Vanquish 10th Anniversary Bundle:

17# One Eyed Kutkh - 2017

Review73Score

- An atmosrheric 2D point & click indie adventure game - The unique graphic style - A mix of fiction and fairy tales of the Far North - Two playable characters - Explore the World Tree - The game tells its story through the action - Interesting and simple puzzles for everyone: from child to elder One Eye Kutkh is an experimental project, something in between video game, theatrical performance and an animated film. The challenge of the game lies not within obstacles that prevent the player from moving forward, but within the possibility to see the world through the eyes of his heroes.

Tags for One Eyed Kutkh:

18# Draw & Guess - 2020

ReviewNDScore
Screenshot of the video game Draw & Guess
Screenshot of the video game Draw & Guess
Screenshot of the video game Draw & Guess

Draw & Guess is a casual drawing game for 4-16 people! Each player receives a word and draws it. The next player guesses the word behind the drawing. Then another one draws it again and so on! If the first word is correctly guessed by the last player, that's a trophy!

Tags for Draw & Guess:

20# Reflex Unit 2 - 2020

ReviewNDScore
Screenshot of the video game Reflex Unit 2
Screenshot of the video game Reflex Unit 2
Screenshot of the video game Reflex Unit 2

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Tags for Reflex Unit 2:

12 sept 2018 - New comment system! Drop us a line